import { EventEmitter } from '../../stencil-public-runtime';
export declare class NutsNotification {
  badge: string;
  content: string;
  date: string;
  showSettings: boolean;
  read: boolean;
  seen: boolean;
  language: string;
  userId: string;
  messageId: string;
  operatorId: string;
  token: string;
  backendUrl: string;
  clientStyling: string;
  clientStylingUrl: string;
  showSettingsModal: boolean;
  messageSeen: boolean;
  messageRead: boolean;
  private stylingContainer;
  private settingsButtonRef;
  private settingsModalRef;
  messageDeteled: EventEmitter<any>;
  settingsOpened: EventEmitter<any>;
  allNotificationsReadHandler(): void;
  settingsOpenedHandler(event: CustomEvent<any>): void;
  connectedCallback(): void;
  deleteMessage(messageId: string): void;
  markAsRead(messageId: string): void;
  toggleSettingsModal(): void;
  setClientStyling: () => void;
  setClientStylingURL: () => void;
  render(): any;
}
