import { EventEmitter } from '../../stencil-public-runtime';
export declare class NutsPopover {
  language: string;
  userId: string;
  operatorId: string;
  token: string;
  backendUrl: string;
  unseenCount: number;
  clientStyling: string;
  clientStylingUrl: string;
  private notifications;
  private isLoading;
  private showMarkAll;
  private stylingContainer;
  allNotificationsRead: EventEmitter<any>;
  messageDeteledHandler(event: CustomEvent<any>): void;
  newNotificationHandler(event: CustomEvent<any>): void;
  unseenCountHandler(newValue: number): void;
  getNotifications(): void;
  markAllAsRead(): void;
  setClientStyling: () => void;
  setClientStylingURL: () => void;
  connectedCallback(): void;
  render(): any;
}
